org.vishia.guiBzr

## Class BzrGetStatus

- java.lang.Object
- - org.vishia.guiBzr.BzrGetStatus

-     public class BzrGetStatus
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.List<java.io.File>` | `listBzrDirs` TODO only private local using here, it should be a part of DataProject.
    `private java.util.List<DataFile>` | `listUnknownFiles`
    `private java.text.DateFormat` | `logDateFormat` The format of a timestamp in the log output.
    `(package private) MainCmd_ifc` | `mainCmdifc`
    `(package private) MainData` | `mainData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BzrGetStatus(MainCmd_ifc mainCmdifc, MainData mainData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `captureStatus(DataCmpn data)` Captures the status of a software archive of one component in comparison of its real source files.
    `(package private) void` | `captureStatusAllArchives(DataCmpn data)`
    `(package private) void` | `getBzrLocations(java.lang.String sProjectPath)` Searches all locations of source-archives in the current project folder and all sub folders.
    `(package private) void` | `getVersionFromLogOutput(java.lang.StringBuilder uLog, DataCmpn data, DataCmpn.Revision revision)`
    `(package private) void` | `initListFiles()` Reads the status output and fills the `listUnknownFiles`, `DataCmpn.listModifiedFiles`, `DataCmpn.listNewFiles`, `DataCmpn.listAddFiles`, `DataCmpn.listRemovedFiles`,

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listBzrDirs

          java.util.List<java.io.File> listBzrDirs

      TODO only private local using here, it should be a part of DataProject.

    - #### mainData

          final MainData mainData

    - #### mainCmdifc

          final MainCmd_ifc mainCmdifc

    - #### logDateFormat

          private final java.text.DateFormat logDateFormat

      The format of a timestamp in the log output.

    - #### listUnknownFiles

          private final java.util.List<DataFile> listUnknownFiles

  - ### Constructor Detail

    - #### BzrGetStatus

          public BzrGetStatus(MainCmd_ifc mainCmdifc,
                              MainData mainData)

  - ### Method Detail

    - #### getBzrLocations

          void getBzrLocations(java.lang.String sProjectPath)

      Searches all locations of source-archives in the current project folder and all sub folders. A project means a software project with some sources consisting of some Components with its own archives.
      Parameters:
        `sProjectPath` - Path to the project folder.

    - #### captureStatus

          void captureStatus(DataCmpn data)

      Captures the status of a software archive of one component in comparison of its real source files.
      - last revision of files, last revision in archive, number and timestamp
      - get status
      It fills the indexed instance of `DataCmpn`
      Parameters:
        `ixData` - The index of the component, index in data

    - #### captureStatusAllArchives

          void captureStatusAllArchives(DataCmpn data)

    - #### initListFiles

          void initListFiles()

      Reads the status output and fills the `listUnknownFiles`, `DataCmpn.listModifiedFiles`, `DataCmpn.listNewFiles`, `DataCmpn.listAddFiles`, `DataCmpn.listRemovedFiles`,

    - #### getVersionFromLogOutput

          void getVersionFromLogOutput(java.lang.StringBuilder uLog,
                                       DataCmpn data,
                                       DataCmpn.Revision revision)